commit f22350b1d0e4fac46d4f1e87f52920ab18b3f030
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Sep 4 00:17:07 2020 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index e4499f0f7e0..091569f9fdd 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2020-09-03  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-09-01  Peter Bergner  <bergner@linux.ibm.com>
+
+	PR target/96808
+	* config/rs6000/rs6000-call.c (rs6000_gimple_fold_mma_builtin): Do not
+	reuse accumulator memory reference for source and destination accesses.
+
 2020-09-02  Jose E. Marchesi  <jose.marchesi@oracle.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 38146c36fe4..7b35a7c6950 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20200903
+20200904
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 971375d015b..c1d99f741c0 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2020-09-03  Peter Bergner  <bergner@linux.ibm.com>
+
+	Backported from master:
+	2020-09-01  Peter Bergner  <bergner@linux.ibm.com>
+
+	PR target/96808
+	* gcc.target/powerpc/pr96808.c: New test.
+
 2020-09-01  Mark Eggleston  <markeggleston@gcc.gnu.org>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index f4d441dbd8b..247a9dfaeb1 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,29 @@
+2020-09-03  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-07-07  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/Makefile.am: Remove bits/int_limits.h.
+	* include/Makefile.in: Regenerate.
+	* include/bits/int_limits.h: Removed.
+	* include/bits/parse_numbers.h (_Select_int_base): Replace
+	__int_limits with __int_traits.
+	* include/bits/range_access.h (_SSize::operator()): Likewise.
+	* include/ext/numeric_traits.h (__numeric_traits_integer): Add
+	static assertion.
+	(__int_traits): New alias template.
+	* include/std/bit (__rotl, __rotr, __countl_zero, __countl_one)
+	(__countr_zero, __countr_one, __popcount, __bit_ceil)
+	(__bit_floor, __bit_width) Replace __int_limits with
+	__int_traits.
+	* include/std/charconv (__to_chars_8, __from_chars_binary)
+	(__from_chars_alpha_to_num, from_chars): Likewise.
+	* include/std/memory_resource (polymorphic_allocator::allocate)
+	(polymorphic_allocator::allocate_object): Likewise.
+	* include/std/string_view (basic_string_view::_S_compare):
+	Likewise.
+	* include/std/utility (cmp_equal, cmp_less, in_range): Likewise.
+
 2020-09-02  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

